
#include <stdio.h>
#include <assert.h>

#include "ttterm.h"
#include "ttbuffer.h"
#include "ttutils.h"
#include "ttparse.h"

#include "LLLScan.h"
#include "LLLParse.h"
#include "FSTScan.h"
#include "FSTParse.h"

#include "parsefst.h"

typedef TTterm(*fparse)(void);

static TTterm parse_wrap(void)
{
    fparse fs[3];

    fs[0] = TTparseFST_LAYOUT;
    fs[1] = TTparseFST_trafos;
    fs[2] = TTparseFST_LAYOUT;
    return TTparseFST_CONJUNCTION(TTfun_sandwich, fs);
}

TTterm FSTparse(TTbuf buf)
{
	LLLinit();
	FSTinit();
	return TTparse_buffer(parse_wrap, buf);
}

