

#include <stdio.h>
#include <sys/types.h>

#include "ttterm.h"
#include "ttbuffer.h"
#include "ttutils.h"
#include "ttparse.h"

#include "SDFScan.h"
#include "SDFParse.h"

#include "parsesdf.h"

typedef TTterm(*fparse)(void);

static TTterm parse_wrap(void)
{
    fparse fs[3];

    fs[0] = TTparseSDF_LAYOUT;
    fs[1] = TTparseSDF_sdf;
    fs[2] = TTparseSDF_LAYOUT;
    return TTparseSDF_CONJUNCTION(TTfun_sandwich, fs);
}

TTterm SDFparse(TTbuf buf)
{
	SDFinit();
	return TTparse_buffer(parse_wrap, buf);
}

