
typedef struct TTbuf_struct * TTbuf;

struct TTbuf_struct {
	const char * name;
	char * data;
	size_t size;
	size_t alloc_size;
};

TTbuf		TTbuffer_create(void);
void		TTbuffer_destroy(TTbuf buf);
void		TTbuffer_read(TTbuf buf, FILE * f);
void		TTbuffer_read_named(TTbuf buf, const char * name);
void		TTbuffer_write(TTbuf buf, FILE * f);
void		TTbuffer_write_named(TTbuf buf, const char * name);
void		TTbuffer_append(TTbuf buf, const char * str);
void		TTbuffer_get_location(TTbuf buf, int cur, int * line, int * col);

