
#include <stdio.h>
#include <assert.h>
#include <string.h>
#include <ctype.h>

#include "ttterm.h"
#include "ttbuffer.h"
#include "ttutils.h"
#include "ttparse.h"

#include "LLLScan.h"
#include "FSTScan.h"
#include "FSTParse.h"


TTterm TTparseFST_LAYOUT(void)
{
	return TTparseLLL_LAYOUT();
}

TTterm TTparseFST_KEYWORD(const char *name)
{
	return TTparseLLL_KEYWORD(name);
}

TTterm TTparseFST_DISJUNCTION(TTfun fun, size_t n, TTterm(**parsers) (void))
{
	return TTparse_disjunction(fun, n, parsers);
}

TTterm TTparseFST_CONJUNCTION(TTfun fun, TTterm(**parsers) (void))
{
	return TTparse_conjunction(fun, parsers);
}

