
TTterm TTparseLLL_alternation(void);
TTterm TTparseLLL_basis(void);
TTterm TTparseLLL_conjunction(void);
TTterm TTparseLLL_disjunction(void);
TTterm TTparseLLL_group(void);
TTterm TTparseLLL_repetition(void);
TTterm TTparseLLL_rule(void);
TTterm TTparseLLL_specification(void);
TTterm TTparseLLL_term(void);


BOOL    LLLisKeyword(const char * name);


void LLLinit(void);

TTfun TTfunLLL_alternation;
TTfun TTfunLLL_basis;
TTfun TTfunLLL_conjunction;
TTfun TTfunLLL_disjunction;
TTfun TTfunLLL_group;
TTfun TTfunLLL_repetition;
TTfun TTfunLLL_rule;
TTfun TTfunLLL_specification;
TTfun TTfunLLL_term;
TTfun TTfunLLL_literal;
TTfun TTfunLLL_ident;

TTterm TTbuildLLL_alternation(TTterm t1, TTterm t2, TTterm t3, TTterm t4, TTterm t5);
TTterm TTbuildLLL_basis(TTterm t1);
TTterm TTbuildLLL_conjunction(TTterm t1);
TTterm TTbuildLLL_disjunction(TTterm t1);
TTterm TTbuildLLL_group(TTterm t1, TTterm t2, TTterm t3);
TTterm TTbuildLLL_repetition(TTterm t1);
TTterm TTbuildLLL_rule(TTterm t1, TTterm t2, TTterm t3, TTterm t4);
TTterm TTbuildLLL_specification(TTterm t1);
TTterm TTbuildLLL_term(TTterm t1, TTterm t2);
TTterm TTbuildLLL_literal(TTtype_string t);
TTterm TTbuildLLL_ident(TTtype_string t);
BOOL TTmatchLLL_alternation(TTterm t, TTterm *t1, TTterm *t2, TTterm *t3, TTterm *t4, TTterm *t5);
BOOL TTmatchLLL_basis(TTterm t, TTterm *t1);
BOOL TTmatchLLL_conjunction(TTterm t, TTterm *t1);
BOOL TTmatchLLL_disjunction(TTterm t, TTterm *t1);
BOOL TTmatchLLL_group(TTterm t, TTterm *t1, TTterm *t2, TTterm *t3);
BOOL TTmatchLLL_repetition(TTterm t, TTterm *t1);
BOOL TTmatchLLL_rule(TTterm t, TTterm *t1, TTterm *t2, TTterm *t3, TTterm *t4);
BOOL TTmatchLLL_specification(TTterm t, TTterm *t1);
BOOL TTmatchLLL_term(TTterm t, TTterm *t1, TTterm *t2);
BOOL    TTmatchLLL_literal(TTterm t, TTtype_string *t1);
BOOL    TTmatchLLL_ident(TTterm t, TTtype_string *t1);
BOOL TTisLLL_alternation(TTterm t);
BOOL TTisLLL_basis(TTterm t);
BOOL TTisLLL_conjunction(TTterm t);
BOOL TTisLLL_disjunction(TTterm t);
BOOL TTisLLL_group(TTterm t);
BOOL TTisLLL_repetition(TTterm t);
BOOL TTisLLL_rule(TTterm t);
BOOL TTisLLL_specification(TTterm t);
BOOL TTisLLL_term(TTterm t);
BOOL TTisLLL_literal(TTterm t);
BOOL TTisLLL_ident(TTterm t);
