
#include <stdio.h>
#include <assert.h>

#include "ttterm.h"
#include "ttbuffer.h"
#include "ttutils.h"
#include "ttparse.h"

#include "LLLScan.h"
#include "LLLParse.h"
#include "parselll.h"

typedef TTterm(*fparse)(void);

static TTterm parse_wrap(void)
{
    fparse fs[3];

    fs[0] = TTparseLLL_LAYOUT;
    fs[1] = TTparseLLL_specification;
    fs[2] = TTparseLLL_LAYOUT;
    return TTparseLLL_CONJUNCTION(TTfun_sandwich, fs);
}

TTterm LLLparse(TTbuf buf)
{
	LLLinit();
	return TTparse_buffer(parse_wrap, buf);
}

