
#include <stdio.h>
#include "tterror.h"

static void simple_error(const char * msg)
{
	fprintf(stderr, "%s", msg);
	exit(1);
}

static void (*st_error_handler)(const char * msg) = simple_error;

void TTerror_set_handler(void (*err)(const char * msg))
{
	st_error_handler = err;
}

void TTerror(const char * msg)
{
	st_error_handler(msg);
}

