
TTfun TTfun_adhoc;
TTfun TTfun_fail;
TTfun TTfun_succeed;
TTfun TTfun_both;
TTfun TTfun_choice;
TTfun TTfun_all;
TTfun TTfun_one;

typedef struct TTstrat_env_struct * TTstrat_env;
typedef TTterm (*TTapply_strat_f)(const TTterm *, TTterm, const TTstrat_env);

struct TTstrat_env_struct {
	TTterm empty;
	TTterm (*singleton)(TTterm);
	TTterm (*comb)(TTterm, TTterm);
};

void	TTstrat_init( void );

TTfun	TTstrat_fun(const char * name, size_t arity, TTapply_strat_f f);

/* Apply a strategy. */
/*
TTterm	TTstrat_applytp(TTterm s, TTterm t);
TTterm	TTstrat_applytu(TTterm s, TTterm t, TTstrat_env env);
*/

/* Basic strategy combinators. */
TTterm	TTbuild_adhoc(TTreduce_f r);
TTterm	TTbuild_succeed( void );
TTterm	TTbuild_fail( void );
TTterm	TTbuild_both(TTterm s1, TTterm s2);
TTterm	TTbuild_choice(TTterm s1, TTterm s2);
TTterm	TTbuild_all(TTterm s);
TTterm	TTbuild_one(TTterm s);

TTterm	TTstrat_apply(TTterm s, TTterm t, TTstrat_env env);
TTterm	TTstrat_apply_tp(TTterm s, TTterm t);


